<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE weblogic-ejb-jar PUBLIC "-//BEA Systems, Inc.//DTD WebLogic 8.1.0 EJB//EN" "http://www.bea.com/servers/wls810/dtd/weblogic-ejb-jar.dtd">
<!-- Generado automaticamente con XDoclet. No editar! -->
<weblogic-ejb-jar>
	<description><![CDATA[Generado con XDoclet]]></description>
	<weblogic-enterprise-bean>

		<ejb-name>W83aSindicatosEJB</ejb-name>
		<transaction-descriptor>
			<trans-timeout-seconds>600</trans-timeout-seconds>
		</transaction-descriptor>
		<enable-call-by-reference>True</enable-call-by-reference>
		<jndi-name>w83a.W83aSindicatosEJB</jndi-name>

	</weblogic-enterprise-bean>
	<!-- Transacciones -->

	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCabeceraCuadroResultados</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCuadroResultados</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCabeceraCuadroResClasif</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCuadroResClasifMenorIgual49</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCuadroResClasifMayor49</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDatosUsuario</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCentroTrabajo</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCentroTrabajoDocumentacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarLotesPreavisos</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleLotesPreavisos</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detallePreavisos</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>obtenerDetallePreaviso</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarCentroTrabajo</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarCentroTrabajoDocumentacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDocumentacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleActas</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>cargarListasActas</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumento</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoActa</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>guardarLotePreavisos</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarEscrutinio</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDiferencia</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDelegado</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleIncidencia</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>darAltaRegistroNuevoNumeroEntradaDelegacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>refrescarUsuarioDelegacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>refrescarRegistroAutomaticoUsuarioDelegacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarBuscarDelegadosConvenio</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDelegadosConvenio</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>obtenerDetallesPreaviso</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoIncidencias</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoImpugnaciones</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCentroTrabajoActa</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoPreaviso</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleCentroTrabajo</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>firmarDocumento</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>generarNotificaciones</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>deshacerAltaLote</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>obtenerDetallesImpugnacion</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarBuscarResCentroSindicato</method-name>
		</method>
	</transaction-isolation>
	<transaction-isolation>
		<isolation-level>TRANSACTION_READ_COMMITTED</isolation-level>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarResCentroSindicato</method-name>
		</method>
	</transaction-isolation>

	<!-- Metodos idempotentes -->
	<idempotent-methods>

		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCabeceraCuadroResultados</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCuadroResultados</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCabeceraCuadroResClasif</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCuadroResClasifMenorIgual49</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCuadroResClasifMayor49</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDatosUsuario</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCentroTrabajo</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCentroTrabajoDocumentacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarLotesPreavisos</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleLotesPreavisos</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detallePreavisos</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>obtenerDetallePreaviso</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarCentroTrabajo</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarCentroTrabajoDocumentacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDocumentacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleActas</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>cargarListasActas</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumento</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoActa</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>guardarLotePreavisos</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarEscrutinio</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDiferencia</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDelegado</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleIncidencia</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>darAltaRegistroNuevoNumeroEntradaDelegacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>refrescarUsuarioDelegacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>refrescarRegistroAutomaticoUsuarioDelegacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarBuscarDelegadosConvenio</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarDelegadosConvenio</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>obtenerDetallesPreaviso</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoIncidencias</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoImpugnaciones</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarCentroTrabajoActa</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>descargarDocumentoPreaviso</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>detalleCentroTrabajo</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>firmarDocumento</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>generarNotificaciones</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>deshacerAltaLote</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>obtenerDetallesImpugnacion</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>contarBuscarResCentroSindicato</method-name>
		</method>
		<method>
			<ejb-name>W83aSindicatosEJB</ejb-name>
			<method-intf>Remote</method-intf>
			<method-name>buscarResCentroSindicato</method-name>
		</method>

	</idempotent-methods>
</weblogic-ejb-jar>